package com.mortals.xhx.module.appointment.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.appointment.model.AppointmentConstraintEntity;
import com.mortals.xhx.module.appointment.service.AppointmentConstraintService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 预约自动签到服务约束
*
* @author zxfei
* @date 2023-04-09
*/
@RestController
@RequestMapping("appointment/constraint")
public class AppointmentConstraintController extends BaseCRUDJsonBodyMappingController<AppointmentConstraintService,AppointmentConstraintEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AppointmentConstraintController(){
        super.setModuleDesc( "预约自动签到服务约束");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "createMethod", paramService.getParamBySecondOrganize("AppointmentConstraint","createMethod"));
        this.addDict(model, "constraint", paramService.getParamBySecondOrganize("AppointmentConstraint","constraint"));
        super.init(model, context);
    }


}