package com.mortals.xhx.module.care.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.care.model.CareRecordsEntity;
/**
* 预约关怀记录查询对象
*
* @author zxfei
* @date 2023-04-09
*/
public class CareRecordsQuery extends CareRecordsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 个人信息ID */
    private Long personIdStart;

    /** 结束 个人信息ID */
    private Long personIdEnd;

    /** 增加 个人信息ID */
    private Long personIdIncrement;

    /** 个人信息ID列表 */
    private List <Long> personIdList;

    /** 个人信息ID排除列表 */
    private List <Long> personIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 联系方式 */
    private List<String> contactList;

    /** 联系方式排除列表 */
    private List <String> contactNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 办理业务 */
    private List<String> serviceList;

    /** 办理业务排除列表 */
    private List <String> serviceNotList;
    /** 排队编号 */
    private List<String> queueNoList;

    /** 排队编号排除列表 */
    private List <String> queueNoNotList;
    /** 开始 监测时间 */
    private String monitorTimeStart;

    /** 结束 监测时间 */
    private String monitorTimeEnd;

    /** 开始 监测设备id */
    private Long monitorDeviceIdStart;

    /** 结束 监测设备id */
    private Long monitorDeviceIdEnd;

    /** 增加 监测设备id */
    private Long monitorDeviceIdIncrement;

    /** 监测设备id列表 */
    private List <Long> monitorDeviceIdList;

    /** 监测设备id排除列表 */
    private List <Long> monitorDeviceIdNotList;

    /** 监测设备 */
    private List<String> monitorDeviceList;

    /** 监测设备排除列表 */
    private List <String> monitorDeviceNotList;
    /** 开始 最终等待时长，秒 */
    private Long waitTimeStart;

    /** 结束 最终等待时长，秒 */
    private Long waitTimeEnd;

    /** 增加 最终等待时长，秒 */
    private Long waitTimeIncrement;

    /** 最终等待时长，秒列表 */
    private List <Long> waitTimeList;

    /** 最终等待时长，秒排除列表 */
    private List <Long> waitTimeNotList;

    /** 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束) */
    private List<String> processStatusList;

    /** 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)排除列表 */
    private List <String> processStatusNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CareRecordsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CareRecordsQuery> andConditionList;

    public CareRecordsQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 个人信息ID
    * @return personIdStart
    */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
    * 设置 开始 个人信息ID
    * @param personIdStart
    */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
    * 获取 结束 个人信息ID
    * @return $personIdEnd
    */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
    * 设置 结束 个人信息ID
    * @param personIdEnd
    */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
    * 获取 增加 个人信息ID
    * @return personIdIncrement
    */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
    * 设置 增加 个人信息ID
    * @param personIdIncrement
    */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
    * 获取 个人信息ID
    * @return personIdList
    */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
    * 设置 个人信息ID
    * @param personIdList
    */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
    * 获取 个人信息ID
    * @return personIdNotList
    */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
    * 设置 个人信息ID
    * @param personIdNotList
    */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
    * 获取 姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 姓名
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 姓名
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 联系方式
    * @return contactList
    */
    public List<String> getContactList(){
        return this.contactList;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public void setContactList(List<String> contactList){
        this.contactList = contactList;
    }

    /**
    * 获取 联系方式
    * @return contactNotList
    */
    public List<String> getContactNotList(){
        return this.contactNotList;
    }

    /**
    * 设置 联系方式
    * @param contactNotList
    */
    public void setContactNotList(List<String> contactNotList){
        this.contactNotList = contactNotList;
    }

    /**
    * 获取 身份证号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 身份证号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 身份证号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 办理业务
    * @return serviceList
    */
    public List<String> getServiceList(){
        return this.serviceList;
    }

    /**
    * 设置 办理业务
    * @param serviceList
    */
    public void setServiceList(List<String> serviceList){
        this.serviceList = serviceList;
    }

    /**
    * 获取 办理业务
    * @return serviceNotList
    */
    public List<String> getServiceNotList(){
        return this.serviceNotList;
    }

    /**
    * 设置 办理业务
    * @param serviceNotList
    */
    public void setServiceNotList(List<String> serviceNotList){
        this.serviceNotList = serviceNotList;
    }

    /**
    * 获取 排队编号
    * @return queueNoList
    */
    public List<String> getQueueNoList(){
        return this.queueNoList;
    }

    /**
    * 设置 排队编号
    * @param queueNoList
    */
    public void setQueueNoList(List<String> queueNoList){
        this.queueNoList = queueNoList;
    }

    /**
    * 获取 排队编号
    * @return queueNoNotList
    */
    public List<String> getQueueNoNotList(){
        return this.queueNoNotList;
    }

    /**
    * 设置 排队编号
    * @param queueNoNotList
    */
    public void setQueueNoNotList(List<String> queueNoNotList){
        this.queueNoNotList = queueNoNotList;
    }

    /**
    * 获取 开始 监测时间
    * @return monitorTimeStart
    */
    public String getMonitorTimeStart(){
        return this.monitorTimeStart;
    }

    /**
    * 设置 开始 监测时间
    * @param monitorTimeStart
    */
    public void setMonitorTimeStart(String monitorTimeStart){
        this.monitorTimeStart = monitorTimeStart;
    }

    /**
    * 获取 结束 监测时间
    * @return monitorTimeEnd
    */
    public String getMonitorTimeEnd(){
        return this.monitorTimeEnd;
    }

    /**
    * 设置 结束 监测时间
    * @param monitorTimeEnd
    */
    public void setMonitorTimeEnd(String monitorTimeEnd){
        this.monitorTimeEnd = monitorTimeEnd;
    }

    /**
    * 获取 开始 监测设备id
    * @return monitorDeviceIdStart
    */
    public Long getMonitorDeviceIdStart(){
        return this.monitorDeviceIdStart;
    }

    /**
    * 设置 开始 监测设备id
    * @param monitorDeviceIdStart
    */
    public void setMonitorDeviceIdStart(Long monitorDeviceIdStart){
        this.monitorDeviceIdStart = monitorDeviceIdStart;
    }

    /**
    * 获取 结束 监测设备id
    * @return $monitorDeviceIdEnd
    */
    public Long getMonitorDeviceIdEnd(){
        return this.monitorDeviceIdEnd;
    }

    /**
    * 设置 结束 监测设备id
    * @param monitorDeviceIdEnd
    */
    public void setMonitorDeviceIdEnd(Long monitorDeviceIdEnd){
        this.monitorDeviceIdEnd = monitorDeviceIdEnd;
    }

    /**
    * 获取 增加 监测设备id
    * @return monitorDeviceIdIncrement
    */
    public Long getMonitorDeviceIdIncrement(){
        return this.monitorDeviceIdIncrement;
    }

    /**
    * 设置 增加 监测设备id
    * @param monitorDeviceIdIncrement
    */
    public void setMonitorDeviceIdIncrement(Long monitorDeviceIdIncrement){
        this.monitorDeviceIdIncrement = monitorDeviceIdIncrement;
    }

    /**
    * 获取 监测设备id
    * @return monitorDeviceIdList
    */
    public List<Long> getMonitorDeviceIdList(){
        return this.monitorDeviceIdList;
    }

    /**
    * 设置 监测设备id
    * @param monitorDeviceIdList
    */
    public void setMonitorDeviceIdList(List<Long> monitorDeviceIdList){
        this.monitorDeviceIdList = monitorDeviceIdList;
    }

    /**
    * 获取 监测设备id
    * @return monitorDeviceIdNotList
    */
    public List<Long> getMonitorDeviceIdNotList(){
        return this.monitorDeviceIdNotList;
    }

    /**
    * 设置 监测设备id
    * @param monitorDeviceIdNotList
    */
    public void setMonitorDeviceIdNotList(List<Long> monitorDeviceIdNotList){
        this.monitorDeviceIdNotList = monitorDeviceIdNotList;
    }


    /**
    * 获取 监测设备
    * @return monitorDeviceList
    */
    public List<String> getMonitorDeviceList(){
        return this.monitorDeviceList;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceList
    */
    public void setMonitorDeviceList(List<String> monitorDeviceList){
        this.monitorDeviceList = monitorDeviceList;
    }

    /**
    * 获取 监测设备
    * @return monitorDeviceNotList
    */
    public List<String> getMonitorDeviceNotList(){
        return this.monitorDeviceNotList;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceNotList
    */
    public void setMonitorDeviceNotList(List<String> monitorDeviceNotList){
        this.monitorDeviceNotList = monitorDeviceNotList;
    }

    /**
    * 获取 开始 最终等待时长，秒
    * @return waitTimeStart
    */
    public Long getWaitTimeStart(){
        return this.waitTimeStart;
    }

    /**
    * 设置 开始 最终等待时长，秒
    * @param waitTimeStart
    */
    public void setWaitTimeStart(Long waitTimeStart){
        this.waitTimeStart = waitTimeStart;
    }

    /**
    * 获取 结束 最终等待时长，秒
    * @return $waitTimeEnd
    */
    public Long getWaitTimeEnd(){
        return this.waitTimeEnd;
    }

    /**
    * 设置 结束 最终等待时长，秒
    * @param waitTimeEnd
    */
    public void setWaitTimeEnd(Long waitTimeEnd){
        this.waitTimeEnd = waitTimeEnd;
    }

    /**
    * 获取 增加 最终等待时长，秒
    * @return waitTimeIncrement
    */
    public Long getWaitTimeIncrement(){
        return this.waitTimeIncrement;
    }

    /**
    * 设置 增加 最终等待时长，秒
    * @param waitTimeIncrement
    */
    public void setWaitTimeIncrement(Long waitTimeIncrement){
        this.waitTimeIncrement = waitTimeIncrement;
    }

    /**
    * 获取 最终等待时长，秒
    * @return waitTimeList
    */
    public List<Long> getWaitTimeList(){
        return this.waitTimeList;
    }

    /**
    * 设置 最终等待时长，秒
    * @param waitTimeList
    */
    public void setWaitTimeList(List<Long> waitTimeList){
        this.waitTimeList = waitTimeList;
    }

    /**
    * 获取 最终等待时长，秒
    * @return waitTimeNotList
    */
    public List<Long> getWaitTimeNotList(){
        return this.waitTimeNotList;
    }

    /**
    * 设置 最终等待时长，秒
    * @param waitTimeNotList
    */
    public void setWaitTimeNotList(List<Long> waitTimeNotList){
        this.waitTimeNotList = waitTimeNotList;
    }


    /**
    * 获取 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
    * @return processStatusList
    */
    public List<String> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
    * 设置 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
    * @param processStatusList
    */
    public void setProcessStatusList(List<String> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
    * 获取 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
    * @return processStatusNotList
    */
    public List<String> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
    * 设置 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
    * @param processStatusNotList
    */
    public void setProcessStatusNotList(List<String> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CareRecordsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CareRecordsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CareRecordsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CareRecordsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CareRecordsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public CareRecordsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public CareRecordsQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public CareRecordsQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public CareRecordsQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public CareRecordsQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public CareRecordsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public CareRecordsQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public CareRecordsQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public CareRecordsQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  个人信息ID
    * @param personId
    */
    public CareRecordsQuery personId(Long personId){
	    setPersonId(personId);
		return this;
    }
	
	 /**
    * 设置 开始 个人信息ID
    * @param personIdStart
    */
    public CareRecordsQuery personIdStart(Long personIdStart){
		this.personIdStart = personIdStart;
		return this;
    }

    /**
    * 设置 结束 个人信息ID
    * @param personIdEnd
    */
    public CareRecordsQuery personIdEnd(Long personIdEnd){
		this.personIdEnd = personIdEnd;
		return this;
    }

    /**
    * 设置 增加 个人信息ID
    * @param personIdIncrement
    */
    public CareRecordsQuery personIdIncrement(Long personIdIncrement){
		this.personIdIncrement = personIdIncrement;
		return this;
    }

    /**
    * 设置 个人信息ID
    * @param personIdList
    */
    public CareRecordsQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
		return this;
        }

        /**
        * 设置 个人信息ID
        * @param personIdNotList
        */
        public CareRecordsQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
        }


	/**
    * 设置 姓名
    * @param name
    */
    public CareRecordsQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public CareRecordsQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 联系方式
    * @param contact
    */
    public CareRecordsQuery contact(String contact){
        setContact(contact);
		return this;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public CareRecordsQuery contactList(List<String> contactList){
        this.contactList = contactList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idCard
    */
    public CareRecordsQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public CareRecordsQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }


	/**
    * 设置 办理业务
    * @param service
    */
    public CareRecordsQuery service(String service){
        setService(service);
		return this;
    }

    /**
    * 设置 办理业务
    * @param serviceList
    */
    public CareRecordsQuery serviceList(List<String> serviceList){
        this.serviceList = serviceList;
		return this;
    }


	/**
    * 设置 排队编号
    * @param queueNo
    */
    public CareRecordsQuery queueNo(String queueNo){
        setQueueNo(queueNo);
		return this;
    }

    /**
    * 设置 排队编号
    * @param queueNoList
    */
    public CareRecordsQuery queueNoList(List<String> queueNoList){
        this.queueNoList = queueNoList;
		return this;
    }


    /**
    * 设置  监测设备id
    * @param monitorDeviceId
    */
    public CareRecordsQuery monitorDeviceId(Long monitorDeviceId){
	    setMonitorDeviceId(monitorDeviceId);
		return this;
    }
	
	 /**
    * 设置 开始 监测设备id
    * @param monitorDeviceIdStart
    */
    public CareRecordsQuery monitorDeviceIdStart(Long monitorDeviceIdStart){
		this.monitorDeviceIdStart = monitorDeviceIdStart;
		return this;
    }

    /**
    * 设置 结束 监测设备id
    * @param monitorDeviceIdEnd
    */
    public CareRecordsQuery monitorDeviceIdEnd(Long monitorDeviceIdEnd){
		this.monitorDeviceIdEnd = monitorDeviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 监测设备id
    * @param monitorDeviceIdIncrement
    */
    public CareRecordsQuery monitorDeviceIdIncrement(Long monitorDeviceIdIncrement){
		this.monitorDeviceIdIncrement = monitorDeviceIdIncrement;
		return this;
    }

    /**
    * 设置 监测设备id
    * @param monitorDeviceIdList
    */
    public CareRecordsQuery monitorDeviceIdList(List<Long> monitorDeviceIdList){
        this.monitorDeviceIdList = monitorDeviceIdList;
		return this;
        }

        /**
        * 设置 监测设备id
        * @param monitorDeviceIdNotList
        */
        public CareRecordsQuery monitorDeviceIdNotList(List<Long> monitorDeviceIdNotList){
        this.monitorDeviceIdNotList = monitorDeviceIdNotList;
        return this;
        }


	/**
    * 设置 监测设备
    * @param monitorDevice
    */
    public CareRecordsQuery monitorDevice(String monitorDevice){
        setMonitorDevice(monitorDevice);
		return this;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceList
    */
    public CareRecordsQuery monitorDeviceList(List<String> monitorDeviceList){
        this.monitorDeviceList = monitorDeviceList;
		return this;
    }

    /**
    * 设置  最终等待时长，秒
    * @param waitTime
    */
    public CareRecordsQuery waitTime(Long waitTime){
	    setWaitTime(waitTime);
		return this;
    }
	
	 /**
    * 设置 开始 最终等待时长，秒
    * @param waitTimeStart
    */
    public CareRecordsQuery waitTimeStart(Long waitTimeStart){
		this.waitTimeStart = waitTimeStart;
		return this;
    }

    /**
    * 设置 结束 最终等待时长，秒
    * @param waitTimeEnd
    */
    public CareRecordsQuery waitTimeEnd(Long waitTimeEnd){
		this.waitTimeEnd = waitTimeEnd;
		return this;
    }

    /**
    * 设置 增加 最终等待时长，秒
    * @param waitTimeIncrement
    */
    public CareRecordsQuery waitTimeIncrement(Long waitTimeIncrement){
		this.waitTimeIncrement = waitTimeIncrement;
		return this;
    }

    /**
    * 设置 最终等待时长，秒
    * @param waitTimeList
    */
    public CareRecordsQuery waitTimeList(List<Long> waitTimeList){
        this.waitTimeList = waitTimeList;
		return this;
        }

        /**
        * 设置 最终等待时长，秒
        * @param waitTimeNotList
        */
        public CareRecordsQuery waitTimeNotList(List<Long> waitTimeNotList){
        this.waitTimeNotList = waitTimeNotList;
        return this;
        }


	/**
    * 设置 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
    * @param processStatus
    */
    public CareRecordsQuery processStatus(String processStatus){
        setProcessStatus(processStatus);
		return this;
    }

    /**
    * 设置 办理状态(排队中.排队中,办理中.办理中,接件结束.接件结束)
    * @param processStatusList
    */
    public CareRecordsQuery processStatusList(List<String> processStatusList){
        this.processStatusList = processStatusList;
		return this;
    }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public CareRecordsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public CareRecordsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public CareRecordsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public CareRecordsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public CareRecordsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public CareRecordsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public CareRecordsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public CareRecordsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public CareRecordsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public CareRecordsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public CareRecordsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public CareRecordsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CareRecordsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CareRecordsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CareRecordsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CareRecordsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}